TaskManager/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('<str:name>/<int:identitas>/<str:tambahan>', views.taskmanager, name='taskmanager'),
    path('<str:name>/<int:identitas>/<str:tambahan>/addtask', views.add_task,name='add_task',),
    path('<str:name>/<int:subjectid>/<str:tambahan>/<int:identitas>/edittask', views.edit_task,name='edit_task',),
    path('<str:name>/<int:subjectid>/<str:tambahan>/<int:identitas>/deletetask', views.deletetask, name="delete_task"),
    path('<str:name>/<int:subjectid>/<str:tambahan>/<int:identitas>/submissions', views.viewsubmissions, name="grade_task"),
    path('<str:name>/<int:subjectid>/<str:tambahan>/<int:identitas>/submissions/<int:idfile>/grader', views.grader, name="grade_task")
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('success', views.success_page, name='success'),
    path('suggestion_json', views.save_json, name='json')
]

project_name/urls.py
from django.contrib import admin
from django.urls import include, path
import dashboard.urls as dashboard
import login.urls as login
import grade_viewer.urls as grade
from django.conf import settings
from TaskManager import urls as taskmanager
from django.conf.urls.static import static
import task_viewer.urls as task_viewer



urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('dashboard/', include(dashboard)),
    path('login/', include(login)),
    path('grade/', include(grade)),
    path('task-viewer/', include(task_viewer)),
    path('taskmanager/', include(taskmanager)),

]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

TaskManager/models.py
from django.db import models
from django.db.models.fields import DateTimeField

# Create your models here.



    










    

login/models.py
from django.db import models
from django.contrib.auth.models import AbstractUser
from datetime import datetime

# Create your models here.
class Subject(models.Model):
    Class = models.CharField(max_length=300)
    Name = models.CharField(max_length=300)
    def __str__(self):
        return (str(self.Name) if self.Name else '') + " - " + (str(self.Class) if self.Class else '')

class User(AbstractUser):
    # name = models.BooleanField('name', default=False)
    # password = models.BooleanField('password', default=False)
    is_student = models.BooleanField(default=False)
    is_teacher = models.BooleanField(default=False)
    subjects = models.ManyToManyField(Subject)


# class Student(models.Model):
#     user = models.OneToOneField(User, on_delete=models.CASCADE, primary_key=True)


#     def __str__(self):
#     	return self.user.username


# class Teacher(models.Model):
#     user = models.OneToOneField(User, on_delete=models.CASCADE, primary_key=True)

#     def __str__(self):
#     	return self.user.username


class Task(models.Model):
    Name = models.CharField(max_length=255)
    Description = models.TextField(max_length=300)
    subject = models.ForeignKey(Subject, on_delete=models.CASCADE)
    deadline = models.DateTimeField(default=datetime.now)
    score = models.IntegerField()

    def __str__(self):
        return (str(self.Name) if self.Name else '')

class Submissions(models.Model):
    NamaMurid = models.CharField(max_length=300)
    title = models.CharField(max_length=50)
    file = models.FileField()
    date = models.DateTimeField(default=datetime.now)
    ontime = models.BooleanField()
    comment = models.TextField(default="")
    task = models.ForeignKey(Task, on_delete=models.CASCADE)
    murid = models.ForeignKey(User, on_delete=models.CASCADE)
    nilai = models.IntegerField()

TaskManager/forms.py
from django.db.models.base import Model
from django.forms import ModelForm, widgets
from django import forms
from login.models  import User, Task, Submissions, Subject

class DateTimeInput(forms.DateTimeInput):
    input_type = 'datetime-local'
    input_value = ""


class AddTaskForm(ModelForm):
    class Meta:
        model = Task
        fields = ['Name', 'Description', 'deadline']
        widgets = {
            'deadline' : DateTimeInput(),
        }

class GraderForm(ModelForm):
    class Meta:
        model =  Submissions
        fields = ['comment', 'nilai']

TaskManager/views.py
from django.http import response
from django.http.response import JsonResponse
from django.shortcuts import redirect, render
from django.template.loader import render_to_string
from login.models import User, Task, Subject, Submissions
from django.contrib.auth.decorators import login_required
from .forms import AddTaskForm, GraderForm
# Create your views here.

@login_required(login_url='/login/')
def taskmanager(request, name, identitas, tambahan):
    elemensekolah = request.user
    subject = Subject.objects.get(pk=identitas)
    tasks = subject.task_set.all()
    response = {'user': elemensekolah.get_username(),
                'tasks': tasks,
                'subject': subject}
    if elemensekolah.get_username() == name:
        return render(request, 'cardextend.html', response)
    else:
        return redirect("/taskmanager/"+elemensekolah.get_username()+"/"+str(subject.id)+"/"+subject.Name+"-"+subject.Class)

@login_required(login_url='/login/')
def add_task(request, name, identitas, tambahan):
    form = AddTaskForm()
    if request.method == 'POST':
        form = AddTaskForm(request.POST)
        if form.is_valid():
            formtemp = form.save(commit=False)
            formtemp.subject = Subject.objects.get(pk=identitas)
            formtemp.save()
            return redirect("/taskmanager/"+request.user.get_username()+"/"+str(formtemp.subject.id)+"/"+formtemp.subject.Name+"-"+formtemp.subject.Class)
    response = {'form':form}
    return render(request, 'AddTask3.0.html', response)

@login_required(login_url='/login/')
def edit_task(request, name, subjectid, identitas, tambahan):
    form = Task.objects.get(pk=identitas)
    if request.method == 'POST':
        form = AddTaskForm(request.POST, instance=form)
        if form.is_valid():
            model = form.save()
            return redirect("/taskmanager/"+request.user.get_username()+"/"+str(model.subject.id)+"/"+model.subject.Name+"-"+model.subject.Class)
    response = {'form':form}
    return render(request, 'frontview.html', response)

@login_required(login_url='/login/')
def deletetask(request, name, subjectid, identitas, tambahan):
    model = Task.objects.get(pk=identitas)
    model.delete()
    data = dict()
    subject= Subject.objects.get(pk=subjectid);
    tasks = subject.task_set.all()
    data['html_task_list'] = render_to_string('cardinclude.html', {
        "tasks": tasks
    })
    return JsonResponse(data)


@login_required(login_url='/login/')
def viewsubmissions(request, name, subjectid, identitas, tambahan):
    task = Task.objects.get(pk=identitas)
    submissions = task.submissions_set.all()
    response = {
        'task': task,
        'submissions': submissions,
    }
    return render(request, 'view_submissions.html', response)

def grader(request, name,subjectid, identitas, tambahan, idfile):
    form = Submissions.objects.get(pk=idfile)
    if request.method == 'POST':
        form = GraderForm(request.POST, instance=form)
        if form.is_valid():
            form.save()
            return redirect("/taskmanager/"+request.user.get_username()+"/"+str(subjectid)+"/"+tambahan+"/"+str(identitas)+"/"+"submissions")
    response = {'form':form}
    return render(request, 'grader.html', response)


    
        

TaskManager/templates/AddTask3.0.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,700,900&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="{% static 'form/fonts/icomoon/style.cs'%}">

    <link rel="stylesheet" href="{% static 'form/css/owl.carousel.min.css'%}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'form/css/bootstrap.min.css'%}">
    
    <!-- Style -->
    <link rel="stylesheet" href="{% static 'form/css/style.css'%}">


    <link href="{% static 'dashboard/vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">

    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static 'dashboard/css/sb-admin-2.css' %}" rel="stylesheet">

    <title>Contact Form #3</title>
  </head>
  <body>
  

  <div class="contenta">
    

    <div id="wrapper">

      <!-- Sidebar -->
      <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

          <!-- Sidebar - Brand -->
          <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
              <div class="sidebar-brand-icon rotate-n-15">
                  <i class="fas fa-laugh-wink"></i>
              </div>
              <div class="sidebar-brand-text mx-3 text-capitalize">LeaN</div>
          </a>

          <!-- Divider -->
          <hr class="sidebar-divider my-0">

          <!-- Nav Item - Dashboard -->
          <li class="nav-item active">
              <a class="nav-link" href="/dashboard/{{user}}/teacher">
                  <i class="fas fa-fw fa-tachometer-alt"></i>
                  <span>Dashboard</span></a>
          </li>
          {% block navbar %}

          

          {% endblock navbar %}

          
          

          <!-- Sidebar Toggler (Sidebar) -->
          <div class="text-center d-none d-md-inline">
              <button class="rounded-circle border-0" id="sidebarToggle"></button>
          </div>

          

      </ul>
      <!-- End of Sidebar -->

      <!-- Content Wrapper -->
      <div id="content-wrapper" class="d-flex flex-column">

          <!-- Main Content -->
          <div id="content">

              <!-- Topbar -->
              <!-- End of Topbar -->

              <!-- Begin Page Content -->
              <div class="d-sm-flex align-items-center justify-content-between mb-4">
                  <h1 class="h3 mb-0 text-gray-800"style ="margin-left: 3%; font-size: 250%">Add Task</h1>
                      
              </div>
              <h1 class="nama-subjek" style="color: blueviolet; font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif; margin-left: 3%; font-size: 200%;">{{subject}}</h1>
              </br>
              </br>

                  <!-- Page Heading -->

                  <!-- Content Row 1 untuk student-->
                  
                  <div class="container-fluid">
                    <div class="row" style="margin-left: 20%; margin-right: 20%; margin-bottom: 10%;">
                      <div class="col">
                        <div class="box">
                          <h3 class="heading">New Task</h3>
                          <form class="mb-5" method="post" id="contactForm" name="contactForm">
                            {% csrf_token %}
                            <div class="row">
                              
                              <div class="col-md-12 form-group">
                                <label for="name" class="col-form-label">Name</label>
                                <input type="text" class="form-control" maxlength="255" name="Name" required id="id_Name" aria-required="true">
                              </div>
                            </div>
                            <div class="row">
                              <div class="col-md-12 form-group">
                                <label for="email" class="col-form-label">Deadline</label>
                                <input type="datetime-local" class="form-control" name="deadline" required id="id_deadline" aria-required="true">
                              </div>
                            </div>
              
                            <div class="row mb-3">
                              <div class="col-md-12 form-group">
                                <label for="message" class="col-form-label">Message</label>
                                <textarea class="form-control" name="Description" maxlength="300" required id="id_Description" cols="30" rows="7" aria-required="true" spellcheck="false"></textarea>
                              </div>
                            </div>
                            <div class="row">
                              <div class="col-md-12">
                                <input type="submit" value="Add Task" class="btn btn-block btn-primary rounded-0 py-2 px-4">
                                <span class="submitting"></span>
                              </div>
                            </div>
                          </form>
              
                          <div id="form-message-warning mt-4"></div> 
                          <div id="form-message-success">
                            Your message was sent, thank you!
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  
                  <!-- Content row 2, subjects untuk teacher-->


              <!-- /.container-fluid -->

          </div>

          <!-- End of Main Content -->

          <!-- Footer -->
          
          <!-- End of Footer -->

      </div>
      <!-- End of Content Wrapper -->
  </div>

    
    

        <!-- Bootstrap core JavaScript-->
    <script src="{% static 'dashboard/vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'dashboard/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{% static 'dashboard/vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static 'dashboard/js/sb-admin-2.min.js' %}"></script>

    <!-- Page level plugins -->
    <script src="{% static 'dashboard/vendor/chart.js/Chart.min.js' %}"></script>

    <!-- Page level custom scripts -->
    <script src="{% static 'dashboard/js/demo/chart-area-demo.js' %}"></script>
    <script src="{% static 'dashboard/js/demo/chart-pie-demo.js' %}"></script>
  </body>
</html>

TaskManager/templates/cardextend.html
{% extends 'task_manager.html' %}

                {% block content %}
                <h1 class="nama-subjek" style="color: blueviolet; font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif; margin-left: 3%; font-size: 200%;">{{subject}}</h1>
                <a id="button-color" href='{{subject.Name}}-{{subject.Class}}/addtask' style="margin-top: 10px; margin-left: 3%; font-size:larger;" class="btn btn-primary">Add Task</a>
                </br>
                </br>
                <div class="container-fluid" style="width: 97%" id="card-container">

                    <!-- Page Heading -->

                    <!-- Content Row 1 untuk student-->
                    
                    <div class="row">
                        {% include 'cardinclude.html' %}
                    </div>
                </div>
                {% endblock %}

TaskManager/templates/frontview.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
  
  <head>
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,700,900&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="{% static 'form/fonts/icomoon/style.cs'%}">

    <link rel="stylesheet" href="{% static 'form/css/owl.carousel.min.css'%}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'form/css/bootstrap.min.css'%}">
    
    <!-- Style -->
    <link rel="stylesheet" href="{% static 'form/css/style.css'%}">
    <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">

    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static 'css/sb-admin-2.css' %}" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <style>
        table{
            border-collapse: collapse;
            margin-left: auto;
            margin-top: auto;
            margin-bottom: auto;
            margin-right: auto;
        }


        table th{

            text-align: left;
            padding-top: 4%;
        }

        table tr{
            padding: auto;;
        }

        table{
            background-color: gainsboro ;
        }

    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  </head>
  <body>
    <script>
      function pageRedirect(key) {
        window.location.replace(key);
      }   
    </script>
    <div id="wrapper">

        <!-- Sidebar -->
        <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
                <div class="sidebar-brand-icon rotate-n-15">
                    <i class="fas fa-laugh-wink"></i>
                </div>
                <div class="sidebar-brand-text mx-3 text-capitalize">LeaN</div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item active">
                <a class="nav-link" href="/dashboard/{{user}}/teacher">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Dashboard</span></a>
            </li>
            {% block navbar %}

            

            {% endblock navbar %}

            
            

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

            

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="d-sm-flex align-items-center justify-content-between mb-4">
                    <h1 class="h3 mb-0 text-gray-800"style ="margin-left: 3%; font-size: 250%">Edit Task</h1>
                        
                </div>
                <h1 class="nama-subjek" style="color: blueviolet; font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif; margin-left: 3%; font-size: 200%;">{{subject}}</h1>
                </br>
                </br>
                <div class="container-fluid" style="width: 97%">

                    <!-- Page Heading -->

                    <!-- Content Row 1 untuk student-->
                    
                    <div class="container-fluid">
                        <div class="row" style="margin-left: 20%; margin-right: 20%; margin-bottom: 10%;">
                          <div class="col">
                            <div class="box">
                              <h3 class="heading">New Task</h3>
                              <form class="mb-5" method="post" id="contactForm" name="contactForm">
                                {% csrf_token %}
                                <div class="row">
                                  
                                  <div class="col-md-12 form-group">
                                    <label for="name" class="col-form-label">Name</label>
                                    <input type="text" class="form-control" maxlength="255" value="{{form.Name}}" name="Name" required id="id_Name" aria-required="true">
                                  </div>
                                </div>
                                <div class="row">
                                  <div class="col-md-12 form-group">
                                    <label for="email" class="col-form-label">Deadline</label>
                                    <input type="datetime-local" class="form-control" name="deadline" value="{{form.deadline}}" required id="id_deadline" aria-required="true">
                                  </div>
                                </div>
                  
                                <div class="row mb-3">
                                  <div class="col-md-12 form-group">
                                    <label for="message" class="col-form-label">Message</label>
                                    <textarea class="form-control" name="Description" maxlength="300" required id="id_Description" cols="30" rows="7" aria-required="true" spellcheck="false">{{form.Description}}</textarea>
                                  </div>
                                </div>
                                <div class="row">
                                  <div class="col-md-12">
                                    <input type="submit" value="Apply Changes" class="btn btn-block btn-primary rounded-0 py-2 px-4">
                                    <span class="submitting"></span>
                                  </div>
                                </div>
                              </form>
                  
                              <div id="form-message-warning mt-4"></div> 
                              <div id="form-message-success">
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    
            

                    <!-- Content row 2, subjects untuk teacher-->


    
                <!-- /.container-fluid -->

            </div>

            <!-- End of Main Content -->

            <!-- Footer -->
            
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->



    <script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{% static 'vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static 'js/sb-admin-2.min.js' %}"></script>

    <!-- Page level plugins -->
    <script src="{% static 'vendor/chart.js/Chart.min.js' %}"></script>

    <!-- Page level custom scripts -->
    <script src="{% static 'js/demo/chart-area-demo.js' %}"></script>
    <script src="{% static 'js/demo/chart-pie-demo.js' %}"></script>
  </body>
</html>

TaskManager/templates/grader.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
  
  <head>
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,700,900&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="{% static 'form/fonts/icomoon/style.cs'%}">

    <link rel="stylesheet" href="{% static 'form/css/owl.carousel.min.css'%}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'form/css/bootstrap.min.css'%}">
    
    <!-- Style -->
    <link rel="stylesheet" href="{% static 'form/css/style.css'%}">
    <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">

    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static 'css/sb-admin-2.css' %}" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <style>
        table{
            border-collapse: collapse;
            margin-left: auto;
            margin-top: auto;
            margin-bottom: auto;
            margin-right: auto;
        }


        table th{

            text-align: left;
            padding-top: 4%;
        }

        table tr{
            padding: auto;;
        }

        table{
            background-color: gainsboro ;
        }

    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  </head>
  <body>
    <script>
      function pageRedirect(key) {
        window.location.replace(key);
      }   
    </script>
    <div id="wrapper">

        <!-- Sidebar -->
        <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
                <div class="sidebar-brand-icon rotate-n-15">
                    <i class="fas fa-laugh-wink"></i>
                </div>
                <div class="sidebar-brand-text mx-3 text-capitalize">LeaN</div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item active">
                <a class="nav-link" href="/dashboard/{{user}}/teacher">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Dashboard</span></a>
            </li>
            {% block navbar %}

            

            {% endblock navbar %}

            
            

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

            

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="d-sm-flex align-items-center justify-content-between mb-4">
                    <h1 class="h3 mb-0 text-gray-800"style ="margin-left: 3%; font-size: 250%">Grader</h1>
                        
                </div>
                <h1 class="nama-subjek" style="color: blueviolet; font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif; margin-left: 3%; font-size: 200%;">{{subject}}</h1>
                </br>
                </br>
                <div class="container-fluid" style="width: 97%">

                    <!-- Page Heading -->

                    <!-- Content Row 1 untuk student-->
                    
                    <div class="container-fluid">
                        <div class="row" style="margin-left: 20%; margin-right: 20%; margin-bottom: 10%;">
                          <div class="col">
                            <div class="box">
                              <h3 class="heading">Grader</h3>
                              <form class="mb-5" method="post" id="contactForm" name="contactForm">
                                {% csrf_token %}
                                <div class="row">
                                  
                                  <div class="col-md-12 form-group">
                                    <label for="name" class="col-form-label">Nilai</label>
                                    <input type="text" class="form-control" maxlength="255" value="{{form.nilai}}" name="nilai" required id="id_nilai" aria-required="true">
                                  </div>
                                </div>
                 
                                <div class="row mb-3">
                                  <div class="col-md-12 form-group">
                                    <label for="message" class="col-form-label">Message</label>
                                    <textarea class="form-control" name="comment" maxlength="100" required id="id_comment" cols="30" rows="7" aria-required="true" spellcheck="false">{{form.comment}}</textarea>
                                  </div>
                                </div>
                                <div class="row">
                                  <div class="col-md-12">
                                    <input type="submit" value="Grade" class="btn btn-block btn-primary rounded-0 py-2 px-4">
                                    <span class="submitting"></span>
                                  </div>
                                </div>
                              </form>
                  
                              <div id="form-message-warning mt-4"></div> 
                              <div id="form-message-success">
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    
            

                    <!-- Content row 2, subjects untuk teacher-->


    
                <!-- /.container-fluid -->

            </div>

            <!-- End of Main Content -->

            <!-- Footer -->
            
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->



    <script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{% static 'vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static 'js/sb-admin-2.min.js' %}"></script>

    <!-- Page level plugins -->
    <script src="{% static 'vendor/chart.js/Chart.min.js' %}"></script>

    <!-- Page level custom scripts -->
    <script src="{% static 'js/demo/chart-area-demo.js' %}"></script>
    <script src="{% static 'js/demo/chart-pie-demo.js' %}"></script>
  </body>
</html>